Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81796 - python time.strptime() causes segfault
Summary: python time.strptime() causes segfault
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: python
Version: 2.1
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mihai Ibanescu
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-14 02:57 UTC by dann frazier
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-12 16:46:03 UTC


Attachments (Terms of Use)

Description dann frazier 2003-01-14 02:57:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20021226
Debian/1.2.7-6

Description of problem:
$ python
Python 1.5.2 (#1, Jun 11 2002, 12:12:36)  [GCC 2.96 20000731 (Red Hat Linux 7.2
2 on linux-ia64
Copyright 1991-1995 Stichting Mathematisch Centrum, Amsterdam
>>> import time
>>> time.strptime("Wed Dec  4 02:30:24 2002")
Segmentation fault

$ uname -a
Linux bobgwp.bobg 2.4.18-e.12smp #1 SMP Thu Oct 17 15:13:01 EDT 2002 ia64 unknown

on a Debian 3.0 ia64 box:
$ python
Python 2.1.3 (#1, Apr 20 2002, 20:46:09) 
[GCC 2.96 20000731 (Debian GNU/Linux IA64 experimental)] on linux2
Type "copyright", "credits" or "license" for more information.
>>> import time
>>> time.strptime("Wed Dec  4 02:30:24 2002")
(2002, 12, 4, 2, 30, 24, 2, 338, 0)
>>> 
$ python1.5 
Python 1.5.2 (#0, Jan 13 2002, 02:38:23)  [GCC 2.96 20000731 (Debian GNU/Linux
IA64 experimental)] on linux2
Copyright 1991-1995 Stichting Mathematisch Centrum, Amsterdam
>>> import time
>>> time.strptime("Wed Dec  4 02:30:24 2002")
(2002, 12, 4, 2, 30, 24, 2, 338, 0)
>>> 

back to the aw2.1 box:
$ rpm -qa | grep python
python-xmlrpc-1.5.1-7.x.3
rpm-python-4.0.4-7x.20
python-popt-0.8.8-7.x.2
python-devel-1.5.2-38
python-1.5.2-38

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run python
2. 'import time'
3. 'time.strptime("Wed Dec  4 02:30:24 2002")'
    

Actual Results:  Segmentation fault

Expected Results:  (2002, 12, 4, 2, 30, 24, 2, 338, 0)

Additional info:

Comment 1 Mihai Ibanescu 2003-02-04 00:05:30 UTC
This has been fixed, and the packages are in QA. If you want to test the
packages yourself, I can definitely hand them off to you, otherwise they're
gonna show up in an erratum.

Comment 2 Mihai Ibanescu 2003-02-27 23:41:58 UTC
Errata was shipped - please confirm bug is fixed.

Comment 3 dann frazier 2003-03-12 16:40:49 UTC
ack.  i reproduced on an AS 2.1 system running 1.5.2-38, upgraded to
1.5.2-43.72, and verified it was fixed.  thanks!

Comment 4 Mihai Ibanescu 2003-03-12 16:46:03 UTC
Cool. Closing


Note You need to log in before you can comment on or make changes to this bug.